数据提供商: Apify
Google 购物列表
$0.090201 / 次调用异步运行,需轮询 Run
在某个国家、使用某种语言通过Google Shopping进行搜索,系统会返回最多10条产品信息:包括标题、当前价格及原价、店铺名称、是否打折的标志、评分、评论数量、图片,以及该产品的Google产品页面URL。固定版本的 Apify Actor 通过持久化 Provider Job 返回最多 10 条记录。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Apify endpoint /burbn/google-shopping-scraper on Glasser.bash
glasser run -p apify -e '/burbn/google-shopping-scraper' -i '{"country":"us","language":"en","searchQuery":"iPhone 17"}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"apify","endpoint":"/burbn/google-shopping-scraper","input":{"country":"us","language":"en","searchQuery":"iPhone 17"},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
购买前评估商品时,可以将可用详情与你的需求比较,确定需要进一步了解的内容。
复制此提示词到你的 Agent,按购买需求审阅商品。
提示词
Use apify:/burbn/google-shopping-scraper on Glasser.
Check this product against my buying requirements using the details actually returned.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"searchQuery"
],
"properties": {
"country": {
"type": "string",
"maxLength": 500,
"minLength": 1
},
"language": {
"type": "string",
"maxLength": 500,
"minLength": 1
},
"searchQuery": {
"type": "string",
"maxLength": 500,
"minLength": 1
}
},
"additionalProperties": false
}json
{
"country": "us",
"language": "en",
"searchQuery": "iPhone 17"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据 | 返回匹配数据时的价格。 | $0.090201 |
|---|---|---|
| 无匹配数据 | 数据提供商已响应,但没有匹配数据。 | $0.064 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |